package com.example.system.mapper;

import com.example.system.model.ResultInformationTable;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface InformationMapper {
    //获取指定项目的所有资料
    @Select("select * from information_table where competition_id=#{competitionId};")
    List<ResultInformationTable> getPortion(Long competitionId);
    //获取自己的所有资料
    @Select("select * from information_table where user_id=#{userId};")
    List<ResultInformationTable> getSelf(Long userId);
}
